Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 11.x for test
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
UrlGeneratorTest::testAliasGenerationWithOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths with options.
UrlGeneratorTest::testAliasGenerationWithParameters function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that generated routes will have aliased paths.
UrlGeneratorTest::testBaseURLGeneration function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Confirms that explicitly setting the base_url works with generated routes.
UrlGeneratorTest::testDeprecatedMethods function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests deprecated methods.
UrlGeneratorTest::testGenerateWithPathProcessorChangingOptions function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php @covers \Drupal\Core\Routing\UrlGenerator::generateFromRoute[[api-linebreak]]
UrlGeneratorTest::testGetPathFromRouteTrailing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation from route with trailing start and end slashes.
UrlGeneratorTest::testGetPathFromRouteWithSubdirectory function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation in a subdirectory.
UrlGeneratorTest::testNoPath function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests generating a relative URL with no path.
UrlGeneratorTest::testRouteObjectDeprecation function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests URL generation deprecations.
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php @covers ::generateFromRoute[[api-linebreak]]
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessingByRoute function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php @covers ::generateFromRoute[[api-linebreak]]
UrlGeneratorTest::testUrlGenerationWithDisabledPathProcessingByRouteAndOptedInPathProcessing function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php @covers ::generateFromRoute[[api-linebreak]]
UrlGeneratorTest::testUrlGenerationWithHttpsRequirement function core/tests/Drupal/Tests/Core/Routing/UrlGeneratorTest.php Tests the 'scheme' route requirement during URL generation.
UrlHelperTest class core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php @group Utility
UrlHelperTest.php file core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php
UrlHelperTest::dataEnhanceWithPrefix function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Enhances test URLs with prefixes.
UrlHelperTest::dataEnhanceWithScheme function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Enhances test URLs with schemes.
UrlHelperTest::providerTestBuildQuery function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides test data for testBuildQuery().
UrlHelperTest::providerTestEncodePath function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for self::testEncodePath().
UrlHelperTest::providerTestExternalIsLocal function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provider for local external URL detection.
UrlHelperTest::providerTestExternalIsLocalInvalid function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides invalid argument data for local external URL detection.
UrlHelperTest::providerTestFilterBadProtocol function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for self::testTestFilterBadProtocol().
UrlHelperTest::providerTestFilterQueryParameters function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data to self::testFilterQueryParameters().
UrlHelperTest::providerTestInvalidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for testInvalidAbsolute().
UrlHelperTest::providerTestInvalidRelativeData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for testInvalidRelative().
UrlHelperTest::providerTestIsExternal function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for self::testIsExternal().
UrlHelperTest::providerTestParse function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for self::testParse().
UrlHelperTest::providerTestStripDangerousProtocols function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for self::testStripDangerousProtocols().
UrlHelperTest::providerTestValidAbsoluteData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Data provider for testValidAbsolute().
UrlHelperTest::providerTestValidRelativeData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for testValidRelative().
UrlHelperTest::testBuildQuery function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests query building.
UrlHelperTest::testCompressUncompress function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests that we get the same thing out that we put in.
UrlHelperTest::testEncodePath function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests path encoding.
UrlHelperTest::testExternalIsLocal function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests detecting external URLs that point to local resources.
UrlHelperTest::testExternalIsLocalInvalid function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid URL arguments.
UrlHelperTest::testFilterBadProtocol function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests bad protocol filtering and escaping.
UrlHelperTest::testFilterQueryParameters function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests query filtering.
UrlHelperTest::testInvalidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid absolute URLs.
UrlHelperTest::testInvalidRelative function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid relative URLs.
UrlHelperTest::testIsExternal function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests external versus internal paths.
UrlHelperTest::testParse function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests URL parsing.
UrlHelperTest::testStripDangerousProtocols function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests dangerous URL protocol filtering.
UrlHelperTest::testUncompressInvalidString function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests passing an invalid string as a compressed query parameter.
UrlHelperTest::testValidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests valid absolute URLs.
UrlHelperTest::testValidRelative function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests valid relative URLs.
UrlIntegrationTest class core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php Tests the URL object integration into the access system.
UrlIntegrationTest.php file core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php
UrlIntegrationTest::$modules property core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php Modules to install.
UrlIntegrationTest::testAccess function core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php Ensures that the access() method on \Drupal\Core\Url objects works.
UrlResolverTest class core/modules/media/tests/src/Functional/UrlResolverTest.php Tests the oEmbed URL resolver service.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.